Subject: RE: gcc/g77/gcj 2.95.2 for cygwin CD 1.0?
From: "Suhaib M. Siddiqi" <[email-masked]>
To: "Mumit Khan" <[email-masked]>
Cc: "Steve Jorgensen" <[email-masked]>, <[email-masked]>
Date: Wed, 17 Nov 1999 08:04:26 -0500

ooops point 8 in previous message should read.

8) make prefix=/pgcc-2952 exec_prefix=/cygwin/usr install (To install in
pgcc-2952
directory)

Suhaib

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of Suhaib M.
> Siddiqi
> Sent: Wednesday, November 17, 1999 7:57 AM
> To: Mumit Khan; [email-masked]
> Cc: Steve Jorgensen; [email-masked]
> Subject: RE: gcc/g77/gcj 2.95.2 for cygwin CD 1.0?
>
>
>
> Hi Mumit,
>
> For the users who are interested in compiling GCC 2.95.2 for
> Cygwin v 1.0 CD
> Release.
> To compile PGCC-2.95.2, I did the following:
>
> 1) Download gcc-2.95.2 source code
> 2) download Mumit's Win32 patches for GCC 2.95
> 3) Download PGCC 2.95.2 patches from www.goof.com/pcg
> 4) First Apply Mumit's Win32 patches for gcc 2.95 to gcc-2.95.2
> source tree.
> A
> couple of pacthes will be rejected, which I fixed by maunal editing
> 5) Apply pgcc-2.95.2 patches to gcc-2.95.2 source tree. ( None of the
> patches
> were rejected)
> 6) ./configure --prefix=/cygwin/usr --host=i686-cygwin --build=i686-cygwin
> 7) make
> 8) make prefix=/pgcc-2952 exec_prefix=/cygwin/usr (To install in pgcc-2952
> directory)
>
> Compilation went very smooth.  If someone does want pgcc binaries
> then skip
> the
> steps 3 and 5.
> Installing /cygwin/usr preserbe gcc which shipped with Cygwin 1.0.
>
> The binaries plus patches of pgcc-2.95.2 are at http://siddiqi.webjump.com
>
> Regards
> Suhaib
>
>
>
>
> > -----Original Message-----
> > From: [email-masked]
> > [mailto:[email-masked]]On Behalf Of Mumit Khan
> > Sent: Wednesday, November 17, 1999 1:01 AM
> > To: [email-masked]
> > Cc: Steve Jorgensen; [email-masked]
> > Subject: Re: gcc/g77/gcj 2.95.2 for cygwin CD 1.0?
> >
> >
> > "Suhaib Siddiqi" <[email-masked]> writes:
> > >
> > >
> > > Mumit / points to c:/ drive.
> > >
> > > There is nothing much useful in .usr/include, most of the cygwin
> > > related headers are in /cygwin/usr/i686-cygwin/include
> > >
> > > /Cygwin/bin contains all the executables
> > >
> > > >
> > > > 2. Output of CD gcc:
> > > >
> > > >    $ gcc -v
> > > >    $ gcc -print-search-dirs
> > >
> > > I did send these two. But here they are again.  Ignore the ld
> > > collect2 error.  I do not have hello.c (e.g) at the moment, and my
> > > NT is busy porting MOTIF 2.1.12 to MSVC.  Therefore I did a touch
> > > hello.c to get the outpu.
> >
> > Hi Suhaib,
> >
> > Thanks again for all the info. I just haven't had the time, sorry.
> >
> > I'll wait and see if Steve runs into problems. I'm much happier farming
> > out this to someone else!
> >
> > Regards,
> > Mumit
> >
> >
> > --
> > Want to unsubscribe from this list?
> > Send a message to [email-masked]
> >
>
>
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]
>

--
Want to unsubscribe from this list?
Send a message to [email-masked]